> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# createConversation

> Creates a new [Conversation](#schema_conversation). When creating a new [Conversation](#schema_conversation), the required tags must be provided. See the specific integration for more details.



## OpenAPI

````yaml runtime-openapi.json post /v1/chat/conversations
openapi: 3.0.0
info:
  title: Botpress Runtime API
  description: API for Botpress Runtime
  version: 1.52.1
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
paths:
  /v1/chat/conversations:
    post:
      tags:
        - Endpoints
      description: >-
        Creates a new [Conversation](#schema_conversation). When creating a new
        [Conversation](#schema_conversation), the required tags must be
        provided. See the specific integration for more details.
      operationId: createConversation
      parameters:
        - name: x-bot-id
          in: header
          description: Bot id
          required: true
          schema:
            type: string
        - name: x-integration-id
          in: header
          description: Integration id
          required: false
          schema:
            type: string
        - name: x-integration-alias
          in: header
          description: Integration alias
          required: false
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/createConversationBody'
      responses:
        '201':
          $ref: '#/components/responses/createConversationResponse'
        default:
          $ref: '#/components/responses/createConversationResponse'
components:
  requestBodies:
    createConversationBody:
      description: Conversation data
      content:
        application/json:
          schema:
            type: object
            properties:
              channel:
                type: string
                maxLength: 200
                description: Channel name
              tags:
                type: object
                additionalProperties:
                  type: string
                  maxLength: 500
                description: Tags for the [Conversation](#schema_conversation)
              integrationName:
                type: string
                maxLength: 200
                description: >-
                  [DEPRECATED] To create a conversation from within a bot, call
                  an action of the integration instead.
                deprecated: true
            required:
              - channel
              - tags
            title: createConversationBody
            additionalProperties: false
  responses:
    createConversationResponse:
      description: >-
        Returns a [Conversation](#schema_conversation) object if creation
        succeeds. Returns [an error](#errors) otherwise
      content:
        application/json:
          schema:
            type: object
            properties:
              conversation:
                $ref: '#/components/schemas/Conversation'
            required:
              - conversation
            title: createConversationResponse
            additionalProperties: false
  schemas:
    Conversation:
      type: object
      properties:
        id:
          type: string
          minLength: 28
          maxLength: 36
          description: Id of the [Conversation](#schema_conversation)
        currentTaskId:
          type: string
          minLength: 28
          maxLength: 36
          description: Id of the current [Task](#schema_task)
        currentWorkflowId:
          type: string
          minLength: 28
          maxLength: 36
          description: Id of the current [Workflow](#schema_workflow)
        createdAt:
          type: string
          format: date-time
          description: >-
            Creation date of the [Conversation](#schema_conversation) in ISO
            8601 format
        updatedAt:
          type: string
          format: date-time
          description: >-
            Updating date of the [Conversation](#schema_conversation) in ISO
            8601 format
        channel:
          type: string
          description: >-
            Name of the channel where the [Conversation](#schema_conversation)
            is happening
        integration:
          type: string
          description: >-
            Name of the integration that created the
            [Conversation](#schema_conversation)
        tags:
          type: object
          additionalProperties:
            type: string
          description: >-
            Set of [Tags](/docs/developers/concepts/tags) that you can attach to
            a [Conversation](#schema_conversation). The set of
            [Tags](/docs/developers/concepts/tags) available on a
            [Conversation](#schema_conversation) is restricted by the list of
            [Tags](/docs/developers/concepts/tags) defined previously by the
            [Bot](#schema_bot). Individual keys can be unset by posting an empty
            value to them.
      required:
        - id
        - createdAt
        - updatedAt
        - channel
        - integration
        - tags
      description: >-
        The [Conversation](#schema_conversation) object represents an exchange
        of messages between one or more users. A
        [Conversation](#schema_conversation) is always linked to an
        integration's channels. For example, a Slack channel represents a
        conversation.
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````